Bug 139314 - Cannot mute and unmute sound with multimedia leys
Cannot mute and unmute sound with multimedia leys
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 00:03 EST by Jean-Francois Saucier
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:50:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Francois Saucier 2004-11-15 00:03:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
My sound work fine and the gnome volume control work fine. My card use
the module snd-intel8x0.

I map my mute button on my keyboard in the gnome keyboard shortcut to
the mute field.

When I press the button, the small popup to say it mute my sound come.

The sound don't mute, it simply go down to 0. And when I try to
unmute, it don't do anything...

If I go to the mixer and mute by hand, it work fine, it show a small
red cross on the speaker applet.

It work fine in FC2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. map mute key button
2. press mute key button
3. press mute key button
    

Actual Results:  It don't mute (just put the sound to 0) and don't unmute

Expected Results:  Mute and unmute

Additional info:
Comment 1 MIchael Kolmodin 2005-01-18 05:55:39 EST
More FC3 problems: cannot configure which channel to affect with
multimedia keys.

After mapping the multimedia keys with Preferences | Keyboard
Shortcuts the increase volume, decrease volume and mute keys shows the
visual feedback (a speaker with a volume bar) when pressed. It  looks
perfectly OK, the bar is longer when increased, shorter when
decreased, and the mute button toggles it to a zero state.

The volume, however, is not affected at all, always the same. 

My setup is such that the 'Master' channel does not affect the volume;
the 'PCM' and 'Master surround' does, though. Since the built-in
volume command affects the 'Master' channel I presume this is the
problem. The ACME package had a configuration option to determine
which channel should be affected by the multimedia keys.

BTW, testing with gnome-alsamixer I can confirm the mute bug: The
'increase volume', 'decrease volume' buttons affects the Master
volume; looks fine. The 'mute' button just pulls it to zero, and there
it stays even if you push it again :-(

The ACME package worked in RH9, but not in FC2. Havn't been able to
find a compilable RPM of ACME to try in FC3. (there is a compile bug
which is fixed in the gnome sources, but in the RPM:s).

FC2 had the same problem. 

Sw: FC3, updated as of Jan 18.

Hw: ASUS A7V8X mbo, VIA sound chip (snd_via82xx module)
Comment 2 Matthew Miller 2006-07-10 18:32:58 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 17:50:55 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.